<?php
namespace Elementor\LearnDash;

defined('ABSPATH') || exit;

class WKFE_PRO_LearnDash_Init {
    private static $instance = null;


    public function __construct() {
        
        $this->dir = dirname(__FILE__) . '/';
        $this->include_files();
    }

    public function include_files() {
        include_once $this->dir . 'cpt-init.php';
        include_once $this->dir . 'cpt-hooks.php';
        include_once $this->dir . 'cpt-modal.php';
        include_once $this->dir . 'cpt-metabox.php';
    }

    public static function init(){
        if(null === self::$instance ){
            self::$instance = new self;
        }
        return self::$instance;
    }
}